DEBCONF.DA.1(1)

NAVN
debconf - kør et debconf-brugende program

OVERSIGT
 debconf [tilvalg] kommando [argumenter]

BESKRIVELSE
Debconf er et konfigurationssystem for Debianpakker. For et overblik over debconf og dokumentation for systemadministratorer så se debconf(7) (i pakken debconf-doc).

Programmet debconf kører et program under debconfs kontrol, sætter det op til at snakke med debconf på stdio. Programmets uddata forventes at blive protokolkommandoer for debconf, og det forventes at læse resultatkoder på standardind. Se debconf-devel(7) for detaljer om debconf-protokollen.

Kommandoen der skal køres under debconf skal angives på en måde som vil lade din PATH finde den.

Denne kommando er ikke den normale måde som debconf bruges på. Det er mere typisk for debconf at blive brugt via dpkg-preconfigure(8) eller dpkg-reconfigure(8).

TILVALG

-opakke, --owner=pakke
    Fortæl debconf fra hvilken pakke kommandoen den kører kommer fra. Dette er nødvendigt for at få ejerskab over registrerede spørgsmål korrekt, og for ordentligt at understøtte ikke registrerede kommandoer og kommandoer for afinstallation.

-ftype, --frontend=type
    Vælg hvilken brugerflade der skal bruges.

-pværdi, --priority=værdi
    Angiv den minimale prioritet for spørgsmål som vil blive vist.

--terse
    Aktiverer uddatatilstanden terse. Dette påvirker kun nogle brugerflader.

EKSEMPLER
For at fejlsøge et skalskript, som bruger debconf, kan du bruge:

 DEBCONF_DEBUG=developer debconf mit-skal-program

Eller du kan bruge denne:

 debconf --frontend=readline sh -x mit-skal-program

SE OGSÅ
debconf-devel(7), debconf(7)

FORFATTER
Joey Hess <joeyh@debian.org>

OVERSÆTTELSE
Den danske oversættelse blev udarbejdet 2012 af Joe Hansen <joedalton2@yahoo.dk>. Denne oversættelse er fri dokumentation; læs GNU General Public License Version 2 eller nyere for kopieringsbetingelserne. Der er INGEN GARANTI.